\name{tryCatch.W.E}
\alias{tryCatch.W.E}
\title{tryCatch both warnings and errors}
\usage{
  tryCatch.W.E(expr)
}
\arguments{
  \item{expr}{the expression to evaluate}
}
\value{
  a list with 'value' and 'warning', where 'value' may be
  an error caught.
}
\description{
  Catch *and* save both errors and warnings, and in the
  case of a warning, also keep the computed result.
}
\author{
  Martin Maechler
}
\seealso{
  Other debug: \code{\link{stopf}},
  \code{\link{verbosePrint}}, \code{\link{verbosePrintf}},
  \code{\link{warningf}}
}

